Foreman - Feature #28769

Add more loaders to macros
01/15/2020 09:29 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Reporting
Target version:
Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7364
Description

Currently only users and hosts can be loaded in report templates. We should allow access to all objects with safe mode defined

where applicable (e.g. tokens or nics don't make sense)

Related issues:
Copied to Katello - Feature #28773: Extend Organization Jail from core

Closed

Associated revisions

Revision 4e1a67a2 - 03/08/2020 09:34 AM - Marek Hulan

Fixes #28769 - add more loader macros

There are multiple objects that has Jail defined but can't be loaded in
a sane way. This patch adds load_* macros for all such objects. It also
extracts loaders from base macros to separate file. Load macros are
defined dynamically to avoid repetition of definition and to unify
capabilities of all such macros.

History

#1 - 01/15/2020 09:34 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7364 added

#2 - 01/16/2020 09:19 AM - Marek Hulan
- Copied to Feature #28773: Extend Organization Jail from core added

#3 - 03/08/2020 09:34 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 03/08/2020 10:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset 4e1a67a2ff8b720616e4f1196a20a87fa59a7cail.
